export const routerVirtualModuleId = "virtual:vite-plugin-blog:router";
export const routerResolvedVirtualModuleId = "\0" + routerVirtualModuleId;
export default function pluginRouter(moduleMap) {
    const router = "export var pages = {};" +
        Object.keys(moduleMap)
            .map((url) => {
            return `pages["${url}"] = () => import("${moduleMap[url]}");`;
        })
            .join("\n");
    return {
        name: "vite-plugin-blog:router",
        config() {
            return {
                build: {
                    rollupOptions: {
                        input: [routerVirtualModuleId],
                        preserveEntrySignatures: "allow-extension",
                    },
                },
            };
        },
        resolveId(id) {
            if (id === routerVirtualModuleId) {
                return routerResolvedVirtualModuleId;
            }
        },
        load(id) {
            if (id === routerResolvedVirtualModuleId) {
                return router;
            }
        },
    };
}
